@import "./styles/reset";
@import "./styles/variables";
@import "./styles/themes";
@import "./styles/layout";

@import "./styles/components/cloud";
@import "./styles/components/strip";
@import "./styles/components/dialog";
@import "./styles/components/menu";
@import "./styles/components/form";
@import "./styles/components/toastr";
@import "./styles/components/user";
@import "./styles/components/ng-select";
@import "./styles/components/icons";
@import "./styles/components/details";
@import "./styles/components/item";
@import "./styles/components/search";
@import "./styles/components/coordination";
@import "./styles/components/loader";
@import "./styles/components/social-links";
@import "./styles/components/upload-image";
@import "./styles/components/footer";

html {
  font-size: 16px;
}

body {
  transition: all 330ms linear;
  background: var(--main-background-color);
  overscroll-behavior-y: none;
}

.visualy-hidden {
  clip: rect(0 0 0 0);
  clip-path: inset(50%);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
}

.kaomoji,
.no-font {
  font-family: "Droid Sans", sans-serif !important;
}

.text-center {
  text-align: center;
}

b {
  font-weight: bold;
}

.small-yes {
  height: 22px;
  width: 49px;
}

.ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

a:not([app-button]) {
  text-decoration: none;
  &,
  &:link,
  &:visited {
    color: var(--link);
  }
}

.result-text {
  font-size: var(--secondary-font-size-small);
  margin: var(--spacing) 0;
  padding: var(--spacing) 0;
  text-align: justify;

  .title {
    text-align: left;
    font-weight: bold;
    text-decoration: underline;
    display: block;
    margin-bottom: var(--spacing-small);
    margin-top: var(--spacing);
  }
}

g.line-chart > g:last-of-type > g:nth-child(n) g.line-series > path {
  stroke-width: 5;
  stroke-linecap: round;
}

.ngx-charts .gridline-path {
  fill: none;
  stroke: var(--line-chart-gridline-path) !important;
  stroke-width: 1;
  opacity: 0;
}
